%define MAJver %(echo %version | cut -d. -f1)
Name:          yelp-tools
Version:       41.0
Release:       1mamba
Summary:       Scripts and build utilities for Yelp
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/
Source:        https://download.gnome.org/sources/yelp-tools/%{MAJver}/yelp-tools-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
yelp-tools is a collection of scripts and build utilities to help create, manage, and publish documentation for Yelp and the web. Most of the heavy lifting is done by packages like yelp-xsl and itstool. This package just wraps things up in a developer-friendly way.

#% debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/yelp-build
%{_bindir}/yelp-check
%{_bindir}/yelp-new
%{_datadir}/aclocal/yelp.m4
%dir %{_datadir}/yelp-tools
%dir %{_datadir}/yelp-tools/templates
%{_datadir}/yelp-tools/templates/*
%dir %{_datadir}/yelp-tools/xslt
%{_datadir}/yelp-tools/xslt/*.xsl
%doc AUTHORS COPYING

%changelog
* Sun Sep 19 2021 Automatic Build System <autodist@mambasoft.it> 41.0-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 40.0-1mamba
- update to 40.0

* Fri Oct 17 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Sun Oct 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.0-1mamba
- package created using the webbuild interface
